import { ICacheDevice } from '../../types/ICacheDevice';
export declare abstract class BaseCacheDevice<T = string> implements ICacheDevice<T> {
    protected inMemoryCache: Map<string, T>;
    constructor(serialized?: Record<string, string>);
    protected getInMemory(key: string): T | undefined;
    protected setInMemory(key: string, value: T): void;
    abstract get(key: string): T | undefined;
    abstract set(key: string, value: T): void;
    abstract serialize(): Record<string, string>;
    mergeWithSerialized(serialized: Record<string, string>): void;
}
